com.sun.jna.platform.unix

## Class X11.Atom

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.NativeLong
      - - com.sun.jna.platform.unix.X11.XID
        - - com.sun.jna.platform.unix.X11.Atom

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing interface:
    X11

      public static class X11.Atom
      extends X11.XID

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static X11.Atom` | `None`

    - ### Fields inherited from class com.sun.jna.NativeLong

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Atom()`
    `Atom(long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `fromNative(java.lang.Object nativeValue, FromNativeContext context)` Return constants for predefined `Atom` values.

    - ### Methods inherited from class com.sun.jna.platform.unix.X11.XID

      `isNone, toString`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### None

          public static final X11.Atom None

  - ### Constructor Detail

    - #### Atom

          public Atom()

    - #### Atom

          public Atom(long id)

  - ### Method Detail

    - #### fromNative

          public java.lang.Object fromNative(java.lang.Object nativeValue,
                                             FromNativeContext context)

      Return constants for predefined `Atom` values.
      Specified by:
        `fromNative` in interface `NativeMapped`
      Overrides:
        `fromNative` in class `X11.XID`
      Parameters:
        `nativeValue` - Java representation of the native type to be converted.
        `context` - Context in which the conversion is taking place.
      Returns:
        Converted object.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.